Bug 75492 - initscripts /etc/rc.sysinit fails to mount lvm partitions if lvm-mod is not loaded
initscripts /etc/rc.sysinit fails to mount lvm partitions if lvm-mod is not l...
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On: 50556
  Show dependency treegraph
Reported: 2002-10-08 21:16 EDT by Josiah Royse
Modified: 2014-03-16 22:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-18 16:06:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josiah Royse 2002-10-08 21:16:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
The rcsysinit script to activate lvm partitions only works if the lvm-mod module
is contained in the initrd, or preloaded.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install RedHat 8.0
2.setup a lvm partition
3.setup lvm parition to be mounted in /etc/fstab
4. reboot

Actual Results:  /etc/rc.sysinit lvm check is skipped because:
if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then

doesn't find a /proc/lvm (the module is not loaded).

Expected Results:  /etc/rc.sysinit check runs lvm command "vgchange -a y" and
lvm filesystems are mounted.

Additional info:

There are several bugs that are in previous versions of RedHat:

There are many proposed solutions, this is also one:

# If there are lvm configs, but no module, load the module
if [ ! -d /proc/lvm -a -f /etc/lvmtab.d/* ]; then
# continue with /etc/rc.sysinit
if [ -e /proc/lvm -a -x /sbin/vgchange -a -f /etc/lvmtab ]; then
        /sbin/vgscan && /sbin/vgchange -a y
Comment 1 Bill Nottingham 2002-10-18 16:06:53 EDT
Hm, sure, we can load the module. Added in CVS.
Comment 2 Travis Waldher 2003-08-04 18:00:11 EDT
The problem is not resolved with LVM.  Here's the catch in RH 8.0 that I 

If during Anaconda setup using Disk Druid, I create a Volume Group.  LVM loads 
fine during bootup.

If I setup the volume group AFTER I install the machine, LVM fails as described.
Comment 3 Josiah Royse 2003-08-04 18:51:48 EDT
This was a fix for RH 8.0- so you'll have to be sure you are up2date.  Double
check the /etc/rc.sysinit script for the LVM file checks, you may no have put
the lvm config files in the same place the script checks for them in.

Note You need to log in before you can comment on or make changes to this bug.